NotBuiltin.cpkg5: indent for MODULE
20 May 2015 15:19 - John Abbott

Status: In Progress Start date: 20 May 2015
Priority: Low Due date:

Assignee: % Done: 10%
Category: enhancing/improving Estimated time: 0.00 hour
Target version: CoCoA-5.4.2 Spent time: 0.65 hour
Description

On line 126 when indent prints out a submodule, it prints out the letter F (in a string). Is this right? | suppose it is meant to be the
ambient free module?

Related issues:
Related to CoCoA-5 - Design #1698: indent: return a string? Closed 27 Sep 2022

History

#1 - 20 May 2015 15:42 - Anna Maria Bigatti
- % Done changed from 0 to 10

John Abbott wrote:

On line 126 when indent prints out a submodule, it prints out the letter F (in a string). Is this right? | suppose it is meant to be the ambient free
module?

yes.... it stands as a placeholder for the free module.
That is required in the syntax of SubmoduleRows, but it cannot be printed in a usable way.

#2 - 27 Sep 2022 22:30 - John Abbott
- Status changed from New to In Progress

- Target version changed from CoCoA-5.?.7 to CoCoA-5.4.2

Can we document this behaviour (since | think it is not completely self-explanatory)?

Is F the best name? Might FreeMod be better?

#3 - 05 Oct 2022 11:31 - Anna Maria Bigatti
- Related to Design #1698: indent: return a string? added

#4 - 05 Oct 2022 11:35 - Anna Maria Bigatti
John Abbott wrote:

Can we document this behaviour (since | think it is not completely self-explanatory)?

Is F the best name? Might FreeMod be better?
| don't like FreeMod (mod is for modulo, not for module).
I'll think how to improve this in the output string. Not trivial.
Indeed, the easiest is just to say it in the manual.

#5 - 05 Oct 2022 11:35 - Anna Maria Bigatti
- Subject changed from NotBuiltin.cokg5: indent fn to NotBuiltin.cpkg5: indent for MODULE

#6 - 06 Oct 2022 20:00 - John Abbott

The name should be short and ideally mnemonic.
Currently F, which is a short as possible. Any idea what is typically used in literature?
A bit longer: FM or FrM (this second is perhaps more mnemonic).

Do we have some test cases?
